Uses of Annotation Interface
org.apache.juneau.marshall.html.HtmlDocConfig
Packages that use HtmlDocConfig
Package
Description
HTML Marshalling Support
Example / demo Microservice REST Resources
Apache Juneau Petstore - Jetty/Microservice deployment.
Apache Juneau Petstore - Spring Boot deployment.
Predefined REST configuration interfaces
API-docs mixin pack — composable
@Rest(mixins=...) resources that publish Swagger v2
and OpenAPI 3.1 spec endpoints with Swagger-UI and Redoc HTML mounts.Ops / introspection mixin pack — composable
@Rest(mixins=...) resources that ship the
operational surface (request echo, JVM admin, route index) every long-running Juneau service
eventually grows.Remote service API
REST Servlets
Spring Boot Integration
-
Uses of HtmlDocConfig in org.apache.juneau.marshall.html
Method parameters in org.apache.juneau.marshall.html with type arguments of type HtmlDocConfigModifier and TypeMethodDescriptionvoidHtmlDocConfigAnnotation.SerializerApply.apply(AnnotationInfo<HtmlDocConfig> ai, HtmlDocSerializer.Builder b) -
Uses of HtmlDocConfig in org.apache.juneau.microservice.examples
Classes in org.apache.juneau.microservice.examples with annotations of type HtmlDocConfigModifier and TypeClassDescriptionclassShows contents of the microservice configuration file, and updates it.classMicroservice debug utilities.classREST resource that allows access to a file system directory.Methods in org.apache.juneau.microservice.examples with annotations of type HtmlDocConfigModifier and TypeMethodDescriptionDirectoryResource.getFile(RestRequest req, String path) Returns information about the specified file or directory.LogsResource.getFile(RestRequest req, String path) Returns information about the specified file or directory.LogsResource.viewParsedEntries(RestRequest req, String path, String start, String end, String thread, String[] loggers, String[] severity) Views the parsed contents of a log file with filtering. -
Uses of HtmlDocConfig in org.apache.juneau.petstore.jetty
Classes in org.apache.juneau.petstore.jetty with annotations of type HtmlDocConfigModifier and TypeClassDescriptionclassRoot router resource for the Jetty deployment. -
Uses of HtmlDocConfig in org.apache.juneau.petstore.springboot
Classes in org.apache.juneau.petstore.springboot with annotations of type HtmlDocConfigModifier and TypeClassDescriptionclassRoot router resource for the Spring Boot deployment. -
Uses of HtmlDocConfig in org.apache.juneau.rest.server.config
Classes in org.apache.juneau.rest.server.config with annotations of type HtmlDocConfigModifier and TypeInterfaceDescriptioninterfacePredefined REST configuration that defines common default values for HTML Doc serializers. -
Uses of HtmlDocConfig in org.apache.juneau.rest.server.docs
Methods in org.apache.juneau.rest.server.docs with annotations of type HtmlDocConfigModifier and TypeMethodDescriptionOpenApiMixin.getOpenApi(RestRequest req) [GET /openapi] — emit the OpenAPI 3.1 document for this resource.RedocMixin.getRedoc(RestRequest req) [GET /redoc] — render the Redoc HTML view (or the spec, depending onAccept).SwaggerMixin.getSwagger(RestRequest req) [GET /api] — emit the Swagger v2 spec for this resource.SwaggerUiMixin.getSwaggerUi(RestRequest req) [GET /swagger] — render the Swagger-UI HTML view (or the spec, depending onAccept). -
Uses of HtmlDocConfig in org.apache.juneau.rest.server.ops
Methods in org.apache.juneau.rest.server.ops with annotations of type HtmlDocConfigModifier and TypeMethodDescriptionStatsMixin.getStats(RestRequest req) [GET /stats] - Timing statistics. -
Uses of HtmlDocConfig in org.apache.juneau.rest.server.remote
Methods in org.apache.juneau.rest.server.remote with annotations of type HtmlDocConfigModifier and TypeMethodDescriptionRrpcServlet.invoke(Reader r, ReaderParser p, ContentType contentType, String javaInterface, String javaMethod) RrpcServlet.listMethods(String javaInterface) RrpcServlet.showEntryForm(String javaInterface, String javaMethod) -
Uses of HtmlDocConfig in org.apache.juneau.rest.server.servlet
Classes in org.apache.juneau.rest.server.servlet with annotations of type HtmlDocConfigModifier and TypeClassDescriptionclassIdentical toBasicRestServletbut doesn't extend fromHttpServlet.classSubclass ofRestServletwith default settings and standard endpoints defined. -
Uses of HtmlDocConfig in org.apache.juneau.rest.server.springboot
Classes in org.apache.juneau.rest.server.springboot with annotations of type HtmlDocConfigModifier and TypeClassDescriptionclassSubclass ofSpringRestServletwith default settings and standard endpoints defined.